<template>
  <div :class="className" id="echart-customer2" :style="{height:height,width:width}" />
</template>

<script>
import echarts from 'echarts'
require('echarts/theme/macarons') // echarts theme

import { getStorePaymentData } from "@/api/index";

const animationDuration = 6000

export default {
  props: {
    className: {
      type: String,
      default: 'chart2'
    },
    width: {
      type: String,
      default: '100%'
    },
    height: {
      type: String,
      default: '260px'
    }
  },
  data() {
    return {
      chart: null,
      dates:[],
      orderCount:[],
      payMoney:[]

    }
  },
  mounted() {
    this.getStorePaymentData()
    this.__resizeHandler = debounce(() => {
      if (this.chart) {
        this.chart.resize()
      }
    }, 100)
    window.addEventListener('resize', this.__resizeHandler)
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    window.removeEventListener('resize', this.__resizeHandler)
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    getStorePaymentData(){
      var that=this;
      getStorePaymentData().then((response) => {
          this.dates=response.dates;
          this.orderCount=response.orderCount;
          this.payMoney=response.payMoney;
          setTimeout(() => {
            that.initEchart();
          }, 500);
      });
    },
    initEchart(){
      var option = {
             series: [{
                 type: 'gauge',
                 axisLine: {
                     lineStyle: {
                         width: 10,
                         color: [
                             [0.2, '#1c4587'],
                             [0.8, '#980000'],
                             [1, '#009100']
                         ]
                     }
                 },
                 pointer: {
                     itemStyle: {
                         color: 'auto'
                     }
                 },
                 axisTick: {
                     distance: -30,
                     length: 8,
                     lineStyle: {
                         color: '#fff',
                         width: 2
                     }
                 },
                 splitLine: {
                     distance: -30,
                     length: 30,
                     lineStyle: {
                         color: '#fff',
                         width: 4
                     }
                 },
                 axisLabel: {
                     color: 'auto',
                     distance: 0,
                     fontSize: 14
                 },
                 detail: {
                     fontSize: 18,
                     valueAnimation: true,
                     formatter: '{value} %',
                     color: 'auto'
                 },
                 data: [{
                     value: 1
                 }]
             }]
         };
      this.chart=echarts.init(document.getElementById("echart-customer2"));
      this.chart.setOption(option,true);
    },
  }


}
</script>
